LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 09-03-2018, 12:39 PM   #1
GreenFireFly
Member
 
Registered: Jul 2013
Posts: 217

Rep: Reputation: Disabled
Slackware 14.2 32bit Desmume SBo will not compile


Hello Everyone,

I get this error when i try to compile the desmume sbo pacakge.

checking for LUA... yes
checking for LUA... no
checking for LIBAGG... no
configure: error: HUD rendering enabled, but libagg not found

I have agg-r127 installed also compiled from SBo.
 
Old 09-03-2018, 01:05 PM   #2
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,761

Rep: Reputation: Disabled
Hi GreenFireFly,

try please substituting your agg version with the one of this SlackBuild.

in alternative you can also probably try deleting the line
Code:
  --enable-hud \
between the configure options in desmume.SlackBuild.

Last edited by ponce; 09-03-2018 at 01:10 PM.
 
Old 09-03-2018, 02:30 PM   #3
dugan
LQ Guru
 
Registered: Nov 2003
Location: Canada
Distribution: Slackware
Posts: 8,796

Rep: Reputation: 3756Reputation: 3756Reputation: 3756Reputation: 3756Reputation: 3756Reputation: 3756Reputation: 3756Reputation: 3756Reputation: 3756Reputation: 3756Reputation: 3756
Why would anyone actually install desmume? Use RetroArch and the DesMuMe Libretro core.

Last time I checked, the desmume team themselves said that they'd prefer that people run the Windows version in WINE than use the Linux version.

Last edited by dugan; 09-03-2018 at 02:52 PM.
 
Old 09-03-2018, 09:27 PM   #4
GreenFireFly
Member
 
Registered: Jul 2013
Posts: 217

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by dugan View Post
Why would anyone actually install desmume? Use RetroArch and the DesMuMe Libretro core.

Last time I checked, the desmume team themselves said that they'd prefer that people run the Windows version in WINE than use the Linux version.
I've never used RetroArch.
 
Old 09-03-2018, 09:29 PM   #5
GreenFireFly
Member
 
Registered: Jul 2013
Posts: 217

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by ponce View Post
Hi GreenFireFly,

try please substituting your agg version with the one of this SlackBuild.

in alternative you can also probably try deleting the line
Code:
  --enable-hud \
between the configure options in desmume.SlackBuild.
The agg package you provided worked fine. I successfully compiled desmume.

Thanks.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] error when compile libdbus-c++-0.9.0 using sbo slackbuild sithun Slackware 10 01-21-2017 12:40 PM
[SOLVED] Slackware alsa-tools SBo package won't compile jjthomas Slackware 9 07-24-2016 09:08 AM
[SOLVED] vte3 compile from SBo fails BroX Slackware 12 07-07-2014 07:07 AM
[SOLVED] Slackware 14.1 x64 -- Qt 5.2.1 -- Failing to compile 32bit code. KDE applets issues. hitormiss Slackware 7 04-04-2014 10:09 AM
Slackware64, trying to compile wine with SBo suid0 Slackware 6 05-27-2009 09:48 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 10:32 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration